# classes/phing/filters/StripLineComments.php

## \Comment
jump to top

The class that holds a comment representation.

package
  phing.filters

### Properties

`$_value= ''`

The prefix for a line comment.

Details

Type

### Methods

`getValue( ) :`
`setValue( $value ) :`
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

## \StripLineComments
jump to top

This filter strips line comments.

Example:

    <striplinecomments>

    </striplinecomments>

Or:

Extends from
  \BaseParamFilterReader
Implements
  \ChainableReader
see
  \BaseParamFilterReader
access
  public
author
  Yannick Lecaillez
author
  hans lellelid, hans@velum.net
copyright
  © 2003 seasonfive. All rights reserved
package
  phing.filters
version
  $Revision: 557 $ $Date: 2009-08-29 15:54:38 +0200 (Sat, 29 Aug 2009) $

### Constants

`COMMENTS_KEY = 'comment'`

Parameter name for the comment prefix.

### Properties

`$_comments= 'array'`

Array that holds the comment prefixes.

Default value `array` Details

Type

### Methods

`_initialize( ) :`
`chain( $reader ) :`
Parameters

Name | Type | Description
--- | --- | ---
$reader |  |

`createComment( ) :`
`getComments( ) :`
`read( $len = null ) : mixed`
Returns stream only including lines from the original stream which don't start with any of the specified comment prefixes.
Parameters

Name | Type | Description
--- | --- | ---
$len |  |

Returns

Type | Description
--- | ---
mixed |

Details

throws
  if the underlying stream throws an IOException during reading

`setComments( $lineBreaks ) :`
Parameters

Name | Type | Description
--- | --- | ---
$lineBreaks |  |

Documentation was generated by DocBlox 0.13.1.